<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Formularz rejestracyjny mojego zwierzaka</title>
</head>
<body>
  <header>
    <h1>Zarejestruj swojego zwierzaka!</h1>
  </header>
  
  <br>
  
  <main>
    <form action="" method="GET">
      <h2>Twoje dane:</h2>
      
      <div>
        <label for="username">Login: </label>
        <input type="text" name="username" id="username" placeholder="Twój login..." maxlength="18" required>
      </div>
      <div>
        <label for="password">Hasło:</label>
        <input type="password" name="password" id="password" pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{8,}" title="Hasło musi zawierać: conajmniej jedną cyfrę, jedną majuskułę, jedną minuskułę oraz co najmniej 8 znaków długości" placeholder="Twoje hasło..." required>
      </div>
      
      <br>

      <div>
        <label for="name">Imię:</label>
        <input type="text" name="name" id="name" placeholder="Twoje imię i nazwisko...">
      </div>
      <div>
        <label for="email">Email: </label>
        <input type="email" name="email" id="email" placeholder="Twój email..." required>
      </div>
      <div>
        <label for="tel">Telefon:</label>
        <input type="tel" name="tel" id="tel" pattern="^[- +()]*[0-9][- +()0-9]*$" title="Telefon zawiera wyłącznie cyfry" placeholder="Numer telefonu..." title="Wyłącznie cyfry, spacja, plus i myślnik" required>
      </div>

      <br>
      <br>

      <h2>Dane twojego zwierzaka: </h2>

      <div>
        <label for="petName">Imię:</label>
        <div>
          <input type="text" name="petName" id="petName" placeholder="Imię twojego zwierzaka..." required>
        </div>
      </div>
      <div>
        <label for="age">Wiek w latach:</label>
        <div>
          <input type="number" step="0.25" min="0" placeholder="">
        </div>
      </div>
      <div>
        <fieldset>
          <legend>Wybierz gatunek:</legend>
          <span>
            <input type="radio" name="species" value="Pies">
            <label for="Pies">Pies</label>
          </span>
          <span>
            <input type="radio" name="species" value="Kot">
            <label for="Kot">Kot</label>
          </span>
          <span>
            <input type="radio" name="species" value="Papuga">
            <label for="Papuga">Papuga</label>
          </span>
          <span>
            <input type="radio" name="świnka species" value="Świnka morska">
            <label for="Świnka morska">Świnka morska</label>
          </span>
          <span>
            <input type="radio" name="species" value="Other">
            <input type="text" name="speciesOtherDetail" placeholder="Inne">
          </span>
        </fieldset>
      </div>
      <div>
        <fieldset>
          <legend>Ulubione jedzenie</legend>
          <div>
            <input type="checkbox" name="dryKibble">
            <label for="dryKibble">Sucha karma</label>
          </div>
          <div>
            <input type="checkbox" name="wetKibble">
            <label for="wetKibble">Mokra karma</label>
          </div>
          <div>
            <input type="checkbox" name="selfMade">
            <label for="selfMade">Gotuję jedzenie samodzielnie</label>
          </div>
          <div>
            <input type="checkbox" name="everyScrap">
            <label for="everyScrap">Wszystko co spadnie ze stołu</label>
          </div>
          <div>
            <input type="checkbox" name="otherKibbleCheckbox">
            <input type="text" name="otherKibbleDetail" placeholder="Inne...">
          </div>
        </fieldset>
      </div>
      <div>
        <label for="eyeColor">Kolor oczu</label>
        <div>
          <input type="color" name="eyeColor" id="eyeColor">
        </div>
      </div>
      <div>
        <p>Potomstwo?</p>
        <div>
          <input type="radio" name="kids">
          <label for="kids">Tak</label>
          <input type="radio" name="kids">
          <label for="kids">Nie</label>
        </div>
      </div>
      <div>
        <p>Sterylizja?</p>
        <div>
          <input type="radio" name="sterilization">
          <label for="sterilization">Tak</label>
          <input type="radio" name="sterilization">
          <label for="sterilization">Nie</label>
        </div>
      </div>
      <div>
        <p>Zachowanie swojego pupila:</p>
        <textarea name="behaviour" id="behaviour" cols="75" rows="25" placeholder="Opisz możłiwie dokładnie zachowanie swojego pupila, co lubicie razem robić itd..." maxlength="2500"></textarea>
      </div>

      <br>
      <br>

      <span>
        <button type="reset">Resetuj</button>
        <button type="submit">Wyślij</button>
      </span>
    </form>
  </main>

  <br>
  <br>
  
  <footer>
    <p>Powered by: &copy; Your Mobile Vet</p>
  </footer>
</body>
</html>